> For the complete documentation index, see [llms.txt](https://docs.zebec.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.zebec.io/zebec-bridge/bridge-sdk/creating-clients.md).

# Creating clients

Currently, there are two clients:

1. Evm Bridge client
2. Solana Bridge client

Evm bridge client instances can be created in following way:

```typescript
const sourceChain = CHAIN_ID_BSC;
const targetChain = CHAIN_ID_SOLANA;

const ethClient = new ZebecEthBridgeClient(
   BSC_ZEBEC_BRIDGE_ADDRESS, 
   signer, 
   sourceChain
);
```

Solana bridge client instances can be created in following way:

```typescript
const connection = new Connection(SOLANA_HOST);
const wallet = new anchor.Wallet(keypair);
const achorProvider = new anchor.AnchorProvider(
   connection, 
   wallet, 
   AnchorProvider.defaultOptions()
);
const wormholeConfig = {
   coreBridgeProgram: new PublicKey(SOL_BRIDGE_ADDRESS),
   tokenBridgeProgram: new PublicKey(SOL_TOKEN_BRIDGE_ADDRESS),
};
const FEE_RECEIVER = "<solana pubkey>"
const zebecInstructions = new ZebecInstructions(anchorProvider);
const bridgeProgram = ZebecSolBridge__factory.getProgram(new PublicKey(SOL_ZEBEC_BRIDGE_ADDRESS), anchorProvider);
const bridgeTransactions = new ZebecBridgeTransactions(bridgeProgram);

const solanaClient = new ZebecSolBridgeClient(
   anchorProvider,
   bridgeProgram,
   bridgeTransactions,
   zebecInstructions,
   wormholeConfig,
   FEE_RECEIVER,
);
```

Here, `FEE_RECEIVER` is solana pubkey address which receives fee for provider streaming services. If you're using this sdk for providing stream service to other, then you must have initialzed before streaming.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.zebec.io/zebec-bridge/bridge-sdk/creating-clients.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
